Bug 1271910 - Ansible enhancement to include docker registry parameters
Ansible enhancement to include docker registry parameters
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Alex Dellapenta
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 01:38 EDT by Jaspreet Kaur
Modified: 2017-12-30 17:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-30 17:27:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaspreet Kaur 2015-10-15 01:38:18 EDT
Description of problem:

At present only oreg_url & openshift_node_labels works with ansible but passing docker registry options as below does not work :

----------
master.example.com openshift_node_labels="{'env': 'test', 'role':
'master'}"
oreg_url=gcloud-openshift_registry-openshift3_ose-${component}:${version}
docker_additional_registries='repo.example.com'
docker_blocked_registries='all'
----------

Manually modifying the code helps to use the parameters. Inaddtion to this, pre-pending with 'cli_' works. However, this is not user friendly and is also not recommended.

-------
master.example.com openshift_node_labels="{'env': 'test', 'role':
'master'}"
oreg_url=gcloud-openshift_registry-openshift3_ose-${component}:${version}
cli_docker_additional_registries='repo.example.com'
cli_docker_blocked_registries='all'
-------


Additional info:

docker registry parameters for the nodes should be added in a more user-friendly way or else a recommended solution for this would be great
Comment 1 Brenton Leanhardt 2015-10-16 10:36:30 EDT
We definitely agree we need to improve the usability of the playbooks.  For now we're going to solve this with documentation for this use case.
Comment 7 Vikram Goyal 2017-12-30 17:27:47 EST
The last two settings were documented here: https://docs.openshift.com/enterprise/3.1/install_config/install/rpm_vs_containerized.html#containerized-required-images

Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.